Bug 58405 - Enable anti-alias fonts & default editor font is unusable
Enable anti-alias fonts & default editor font is unusable
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
: 60271 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-01-15 19:25 EST by Chris Evans
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-15 19:25:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2002-01-15 19:25:25 EST
Description of Problem:
Firstly, enable KDE's anti-aliased fonts option. You can do this
either explicitly in the "look & feel" settings, or by picking a KDE
profile which is eye-candy intensive.
Restart KDE if required.
Edit a text file by sending it to the "Advanced Editor" program.
Note how the "Ariosa" font has been used. It is unusable! It is
some form of script font and cannot be read easily. This is a
very poor default choice. The same problem affects "KEdit".
Perhaps this is a generic flaw where some default (fixed width?)
font is chosen poorly.
Comment 1 Bernhard Rosenkraenzer 2002-01-17 07:04:18 EST
This is because we don't have a fixed width font that can be antialiased (Only
Type1 and TrueType fonts can be antialiased), simply because there's no such
font out there under a sane license.

XFree86 automatically picks the first font it finds (in alphabetic order, that's
why it finds Arioso) if it can't find a font matching the original request
("antialiased fixed-width").

This is fixed in Qt 3/KDE 3 [in rawhide] by moving to a sane font abstraction
layer rather than depending on X doing the right thing.

Until you're ready to upgrade, you may get better results by playing with
Suggested entries to start from:

match any family == "fixed" edit antialias =+ "false";
match any family == "courier" edit family += "LuciduxMono";
Comment 2 Bernhard Rosenkraenzer 2002-02-23 16:37:09 EST
*** Bug 60271 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.